## kipi-plugins 0.7.0

=== timeadjust/CMakeLists.txt ===
SET(kipiplugin_timeadjust_PART_SRCS plugin_timeadjust.cpp timeadjustdialog.cpp clockphotodialog.cpp)

KDE4_ADD_PLUGIN(kipiplugin_timeadjust ${kipiplugin_timeadjust_PART_SRCS})

TARGET_LINK_LIBRARIES(kipiplugin_timeadjust 
                      ${KDE4_KPARTS_LIBS} 
                      ${QT_AND_KDECORE_LIBS} 
                      ${KIPI_LIBRARIES} 
                      ${KEXIV2_LIBRARIES} 
                      ${KDCRAW_LIBRARIES}
                      kipiplugins
                     )

KDE4_INSTALL_ICONS(${ICON_INSTALL_DIR})

INSTALL(TARGETS kipiplugin_timeadjust DESTINATION ${PLUGIN_INSTALL_DIR})

INSTALL(FILES kipiplugin_timeadjust.desktop DESTINATION ${SERVICES_INSTALL_DIR})

## kipi-plugins 1.0.0

=== CMakeLists.txt ===
PROJECT(kipi-plugins)

# =======================================================
# Information to update before to release this package.

# kipi-plugins version
SET(KIPIPLUGINS_MAJOR_VERSION "1")
SET(KIPIPLUGINS_MINOR_VERSION "0")
SET(KIPIPLUGINS_PATCH_VERSION "0")

# kipi-plugins release date
SET (KIPIPLUGINS_RELEASE_DATE "2009-12-21")

# Suffix to add at end of version string. Usual values are:
# "-svn"   : alpha code unstable from svn. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
SET(KIPIPLUGINS_SUFFIX_VERSION "")

# =======================================================
# Set env. variables accordinly.

SET(KIPIPLUGINS_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}${KIPIPLUGINS_SUFFIX_VERSION}"
   )

# =======================================================

FIND_PACKAGE(KDE4 REQUIRED)

INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

# Depencies detection required by all plugins
FIND_PACKAGE(Kexiv2 REQUIRED)
FIND_PACKAGE(Kdcraw REQUIRED)
FIND_PACKAGE(Kipi REQUIRED)
FIND_PACKAGE(JPEG REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(TIFF REQUIRED)

# Optional depencies detection required by some plugins

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

MACRO_OPTIONAL_FIND_PACKAGE(EXPAT)      # For DNGConverter: XMP SDK need Expat library to compile.
MACRO_OPTIONAL_FIND_PACKAGE(Threads)    # For DNGConverter: DNG SDK need native threads support.
MACRO_OPTIONAL_FIND_PACKAGE(LibXml2)    # For Htmlexport.
MACRO_OPTIONAL_FIND_PACKAGE(LibXslt)    # For Htmlexport.
MACRO_OPTIONAL_FIND_PACKAGE(OpenGL)     # For AdvancedSlideshow and ImageViewer.
MACRO_OPTIONAL_FIND_PACKAGE(OpenCV)     # For RemoveRedEyes.
MACRO_OPTIONAL_FIND_PACKAGE(Gpod)       # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(Gdk)        # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)      # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(GObject)    # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs) # For Calendar (libkcal).
MACRO_OPTIONAL_FIND_PACKAGE(QCA2)       # For Shwup.
MACRO_OPTIONAL_FIND_PACKAGE(KSane)      # For AcquireImages.

# LINUX Only.
IF(NOT WIN32 AND NOT APPLE)
    MACRO_OPTIONAL_FIND_PACKAGE(X11)   # For AdvancedSlideshow and ImageViewer.
ENDIF(NOT WIN32 AND NOT APPLE)

IF(NOT WIN32)
    # Check KDcraw version installed to compile fine DngConverter plugin.
    FIND_PACKAGE(PkgConfig)
    PKG_CHECK_MODULES(Kdcraw libkdcraw>=0.4.0)
    IF(Kdcraw_FOUND)
        SET(KDCRAW_FOR_DNGCONVERTER TRUE)
    ELSE(Kdcraw_FOUND)
        SET(KDCRAW_FOR_DNGCONVERTER FALSE)
    ENDIF(Kdcraw_FOUND)
ELSE(NOT WIN32)
    SET(KDCRAW_FOR_DNGCONVERTER TRUE)
ENDIF(NOT WIN32)

INCLUDE(MacroOptionalDependPackage)

# ==================================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS " kipi-plugins ${KIPIPLUGINS_VERSION_STRING} dependencies results   <http://www.kipi-plugins.org>")
MESSAGE(STATUS "")

# Require shared libraries results.

IF(JPEG_FOUND)
    MESSAGE(STATUS " libjpeg library found............... YES")
ELSE(JPEG_FOUND)
    MESSAGE(STATUS " libjpeg library found............... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " kipi-plugins needs libjpeg. You need to install the libjpeg development package.")
    MESSAGE(STATUS " libjpeg website is at http://www.ijg.org")
    MESSAGE(STATUS "")
ENDIF(JPEG_FOUND)

IF(TIFF_FOUND)
    MESSAGE(STATUS " libtiff library found............... YES")
ELSE(TIFF_FOUND)
    MESSAGE(STATUS " libtiff library found............... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " kipi-plugins needs libtiff. You need to install the libtiff development package.")
    MESSAGE(STATUS " libtiff website is at http://www.remotesensing.org/libtiff")
    MESSAGE(STATUS "")
ENDIF(TIFF_FOUND)

IF(PNG_FOUND)
    MESSAGE(STATUS " libpng library found................ YES")
ELSE(PNG_FOUND)
    MESSAGE(STATUS " libpng library found................ NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " kipi-plugins needs libpng. You need to install the correct version (>= 1.2.7).")
    MESSAGE(STATUS " Libpng website is at http://www.libpng.org/pub/png/libpng.html")
    MESSAGE(STATUS "")
ENDIF(PNG_FOUND)

IF(KIPI_FOUND)
    MESSAGE(STATUS " libkipi library found............... YES")
ELSE(KIPI_FOUND)
    MESSAGE(STATUS " libkipi library found............... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " kipi-plugins needs libkipi library >= 0.2.0. You need to install libkipi first")
    MESSAGE(STATUS " libkipi website is at http://www.digikam.org/sharedlibs")
    MESSAGE(STATUS "")
ENDIF(KIPI_FOUND)

IF(KEXIV2_FOUND)
    MESSAGE(STATUS " libkexiv2 library found............. YES")
ELSE(KEXIV2_FOUND)
    MESSAGE(STATUS " libkexiv2 library found............. NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " kipi-plugins needs libkexiv2 library >= 0.2.0. You need to install libkexiv2 first")
    MESSAGE(STATUS " libkexiv2 website is at http://www.digikam.org/sharedlibs")
    MESSAGE(STATUS "")
ENDIF(KEXIV2_FOUND)

IF(KDCRAW_FOUND)
    MESSAGE(STATUS " libkdcraw library found............. YES")
ELSE(KDCRAW_FOUND)
    MESSAGE(STATUS " libkdcraw library found............. NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " kipi-plugins needs libkdcraw library >= 0.4.0. You need to install libkdcraw first")
    MESSAGE(STATUS " libkdcraw website is at http://www.digikam.org/sharedlibs")
    MESSAGE(STATUS "")
ENDIF(KDCRAW_FOUND)

# Optional shared libraries results.

IF(LIBXML2_FOUND)
    MESSAGE(STATUS " libxml2 library found............... YES (optional)")
ELSE(LIBXML2_FOUND)
    MESSAGE(STATUS " libxml2 library found............... NO  (optional)")
ENDIF(LIBXML2_FOUND)

IF(LIBXSLT_FOUND)
    MESSAGE(STATUS " libxslt library found............... YES (optional)")
ELSE(LIBXSLT_FOUND)
    MESSAGE(STATUS " libxslt library found............... NO  (optional)")
ENDIF(LIBXSLT_FOUND)

IF(EXPAT_FOUND)
    MESSAGE(STATUS " libexpat library found.............. YES (optional)")
ELSE(EXPAT_FOUND)
    MESSAGE(STATUS " libexpat library found.............. NO  (optional)")
ENDIF(EXPAT_FOUND)

IF(CMAKE_USE_PTHREADS_INIT OR CMAKE_USE_WIN32_THREADS_INIT)
    MESSAGE(STATUS " native threads support found........ YES (optional)")
ELSE(CMAKE_USE_PTHREADS_INIT OR CMAKE_USE_WIN32_THREADS_INIT)
    MESSAGE(STATUS " native threads support found........ NO  (optional)")
ENDIF(CMAKE_USE_PTHREADS_INIT OR CMAKE_USE_WIN32_THREADS_INIT)

IF(OPENGL_FOUND AND OPENGL_GLU_FOUND)
    MESSAGE(STATUS " libopengl library found............. YES (optional)")
ELSE(OPENGL_FOUND AND OPENGL_GLU_FOUND)
    MESSAGE(STATUS " libopengl library found............. NO  (optional)")
ENDIF(OPENGL_FOUND AND OPENGL_GLU_FOUND)

IF(OPENCV_FOUND)
    MESSAGE(STATUS " libopencv library found............. YES (optional)")
ELSE(OPENCV_FOUND)
    MESSAGE(STATUS " libopencv library found............. NO  (optional)")
ENDIF(OPENCV_FOUND)

IF(GPOD_FOUND)
    MESSAGE(STATUS " libgpod library found............... YES (optional)")
ELSE(GPOD_FOUND)
    MESSAGE(STATUS " libgpod library found............... NO  (optional)")
ENDIF(GPOD_FOUND)

IF(GDK_FOUND)
    MESSAGE(STATUS " Gdk library found................... YES (optional)")
ELSE(GDK_FOUND)
    MESSAGE(STATUS " Gdk library found................... NO  (optional)")
ENDIF(GDK_FOUND)

IF(KDEPIMLIBS_FOUND)
    MESSAGE(STATUS " libkdepim library found............. YES (optional)")
ELSE(KDEPIMLIBS_FOUND)
    MESSAGE(STATUS " libkdepim library found............. NO  (optional)")
ENDIF(KDEPIMLIBS_FOUND)

IF(QCA2_FOUND)
    MESSAGE(STATUS " qca2 library found.................. YES (optional)")
ELSE(QCA2_FOUND)
    MESSAGE(STATUS " qca2 library found.................. NO  (optional)")
ENDIF(QCA2_FOUND)

# LINUX Only.
IF(NOT WIN32 AND NOT APPLE)
    IF(X11_FOUND AND X11_Xrandr_FOUND)
        MESSAGE(STATUS " libX11 library found................ YES (optional)")
    ELSE(X11_FOUND AND X11_Xrandr_FOUND)
        MESSAGE(STATUS " libX11 library found................ NO  (optional)")
    ENDIF(X11_FOUND AND X11_Xrandr_FOUND)
ENDIF(NOT WIN32 AND NOT APPLE)

IF(KSANE_FOUND)
    MESSAGE(STATUS " libksane library found.............. YES (optional)")
ELSE(KSANE_FOUND)
    MESSAGE(STATUS " libksane library found.............. NO  (optional)")
ENDIF(KSANE_FOUND)

# Optional plugins results ----------------------------------------------------------------------------

MESSAGE(STATUS "")

IF(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)
    MESSAGE(STATUS " kipi-plugins will be compiled....... YES")
    SET(KIPIPLUGINS_CAN_BE_COMPILED true)
ELSE(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)
    MESSAGE(FATAL_ERROR " kipi-plugins will not be compiled! Look README file for more details about dependencies...")
    SET(KIPIPLUGINS_CAN_BE_COMPILED false)
ENDIF(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)

IF(QCA2_FOUND)
    MESSAGE(STATUS " Shwup will be compiled.............. YES (optional)")
ELSE(QCA2_FOUND)
    MESSAGE(STATUS " Shwup will be compiled.............. NO  (optional - Look README file for more details about dependencies)")
ENDIF(QCA2_FOUND)

IF(LIBXML2_FOUND AND LIBXSLT_FOUND)
    MESSAGE(STATUS " HtmlExport will be compiled......... YES (optional)")
ELSE(LIBXML2_FOUND AND LIBXSLT_FOUND)
    MESSAGE(STATUS " HtmlExport will be compiled......... NO  (optional - Look README file for more details about dependencies)")
ENDIF(LIBXML2_FOUND AND LIBXSLT_FOUND)

IF(NOT WIN32 AND NOT APPLE)

    IF(X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND)
        MESSAGE(STATUS " AdvancedSlideshow will be compiled.. YES (optional)")
        MESSAGE(STATUS " ImageViewer will be compiled........ YES (optional)")
    ELSE(X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND)
        MESSAGE(STATUS " AdvancedSlideshow will be compiled.. NO  (optional - Look README file for more details about dependencies)")
        MESSAGE(STATUS " ImageViewer will be compiled........ NO  (optional - Look README file for more details about dependencies)")
    ENDIF(X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND)

ELSE(NOT WIN32 AND NOT APPLE)

    IF(OPENGL_FOUND AND OPENGL_GLU_FOUND)
        MESSAGE(STATUS " AdvancedSlideshow will be compiled.. YES (optional)")
        MESSAGE(STATUS " ImageViewer will be compiled........ YES (optional)")
    ELSE(OPENGL_FOUND AND OPENGL_GLU_FOUND)
        MESSAGE(STATUS " AdvancedSlideshow will be compiled.. NO  (optional - Look README file for more details about dependencies)")
        MESSAGE(STATUS " ImageViewer will be compiled........ NO  (optional - Look README file for more details about dependencies)")
    ENDIF(OPENGL_FOUND AND OPENGL_GLU_FOUND)

ENDIF(NOT WIN32 AND NOT APPLE)

IF(KSANE_FOUND)
    MESSAGE(STATUS " AcquireImages will be compiled...... YES (optional)")
ELSE(KSANE_FOUND)
    MESSAGE(STATUS " AcquireImages will be compiled...... NO  (optional - Look README file for more details about dependencies)")
ENDIF(KSANE_FOUND)

IF(EXPAT_FOUND AND KDCRAW_FOR_DNGCONVERTER)
    MESSAGE(STATUS " DNGConverter will be compiled....... YES (optional)")
ELSE(EXPAT_FOUND AND KDCRAW_FOR_DNGCONVERTER)
    MESSAGE(STATUS " DNGConverter will be compiled....... NO  (optional - Look README file for more details about dependencies)")
ENDIF(EXPAT_FOUND AND KDCRAW_FOR_DNGCONVERTER)

IF(OPENCV_FOUND)
    MESSAGE(STATUS " RemoveRedEyes will be compiled...... YES (optional)")
ELSE(OPENCV_FOUND)

## kipi-plugins 1.4.0

=== debian/changelog ===
kipi-plugins (1.4.0-0ubuntu2) maverick; urgency=low

  * Recommend imagemagick before graphicsmagick, keeps DVD building
    happy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Sep 2010 11:34:19 +0100

kipi-plugins (1.4.0-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * kipi-plugins-common replaces/conflicts kipi-plugins << 1.3.0

  [ Felix Geyer ]
  * New upstream release.
  * Drop fix-ftbfs-glib-2.25.diff, applied upstream.
  * Refresh sendimages-icedove.diff.
  * Switch to source format 3.0 (quilt) so we can use bz2 upstream tarballs.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 26 Aug 2010 19:33:41 +0200

kipi-plugins (1.3.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 13 Jun 2010 01:07:38 +0200

kipi-plugins (1.2.0-2ubuntu2) maverick; urgency=low

  * Drop the RemoveRedEyes plugin from the package description as it depends on
    libcv-dev.
  * Re-add build-dep on libgtk.
    - Add fix-ftbfs-glib-2.25.diff to fix build failure.
  * Build-dep on libgpod-dev instead of libgpod-nogtk-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 07 Jun 2010 11:04:37 +0200

kipi-plugins (1.2.0-2ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining changes:
   - Different MD5 sum on the .orig.tar.gz
   - export KUBUNTU_DESKTOP_POT
   - Remove build-dep on libcv-dev, libcvaux-dev, libhighgui-dev, failed MIR
     http://launchpad.net/bugs/324523
  * Move hugin, enblend, enfuse from recommends to suggests
  * kipi-plugins-common replaces << 1.2.0-0ubuntu1
  * Don't build-dep on libgtk, causes build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 May 2010 11:02:10 +0000

kipi-plugins (1.2.0-2) unstable; urgency=low

  * Unstable upload for KDE SC 4.4.3 (Closes: 579984) 

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 19:35:51 +1000

kipi-plugins (1.2.0-1) experimental; urgency=low

  * New upstream release 
    - Fixed Upstream "[digikam] Cannot export to Flash" (Closes: #566848)
    - Fixed Upstream ""Mozilla" MUA option is broken" (Closes: #561845)
  * NEW kipi-plugins-common: fixes arch-dep-package-has-big-usr-share
  * Removed fix_endian_detection.diff - included upstream
  * Marcus Better patch for Debian Icedove MUA support (Closes: #561844)
  * Add Build-Depends: libcv-dev, libhighgui-dev - RemoveRedEyes 
  * Realign Build-Depends: to match upstream README (Closes: #568789)
  * Add Recommends: hugin, enblend, enfuse - used (runtime) ExpoBlending
  * Minor lintian cleanups
  * Drop empty-binary-package kipi-plugins-doc

 -- Mark Purcell <msp@debian.org>  Thu, 08 Apr 2010 10:45:31 +1000

kipi-plugins (1.1.0-1) unstable; urgency=low

  * New upstream release 
    - ExpoBlending : New tool to make pseudo HDR image
      + Awaiting libkdcraw>=1.0.0
    - PrintAssistant : New custom grid layout.
    - PrintAssistant : Filling page with custom size images.
  * Fix "bad Vcs-Svn header" Update debian/control (Closes: #561842)
  * Added Build-Depends: libgpod4-nogtk-dev (Closes: #565286)
  * Add Build-Depends: libhighgui-dev

 -- Mark Purcell <msp@debian.org>  Wed, 03 Feb 2010 08:51:28 +0100

kipi-plugins (1.2.0-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #560579)
  * Remove fix_endian_detection.diff, fixed upstream
  * Update kipi-plugins.install, new expoblending feature
    - Add hugin and enblend to Suggests, runtime dependencies
      Differs from what Debian does, we sould solve this for maverick
    - Do not add expoblending.desktop, we do not want a link in kickoff
    - Update not-installed

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 12 Apr 2010 20:28:10 +0200

kipi-plugins (1.0.0-1ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:34:25 +0100

kipi-plugins (1.0.0-1ubuntu1) lucid; urgency=low

  * Merge with debian unstable, remaining changes:
    - Do not build-dep on libcvaux-dev, not (yet) in main
    - Swap imagemagick/graphicsmagick depends to keep 
      component-mismatches happy
    - Export .pot file in debian/rules
    - Karmic does not have latest debhelper and pkg-kde-tools:
      - Loosen debhelper/pkg-kde-tools versioned build-deps
      - Add cdbs to build-deps
      - Add kde.mk and debhelper.mk to debian/rules

 -- Luka Renko <lure@ubuntu.com>  Tue, 22 Dec 2009 22:39:26 +0100

kipi-plugins (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Add libcvaux-dev build dependency to detect libopencv successfully and
      enable removeredeyes plugin.
  * Update debian/kipi-plugins.install:
    - Add scangui binary.

 -- Fathi Boudra <fabo@debian.org>  Tue, 22 Dec 2009 11:15:51 +0100

kipi-plugins (0.9.0-1ubuntu2) lucid; urgency=low

  * Switch build-dep on libkipi6-dev, libkexiv2-7-dev, and libkdcraw7-dev to
    libkipi7-dev, libkexiv2-8-dev, libkdcraw8-dev (kdegraphics 4.3 -> 4.4)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Dec 2009 10:00:21 -0500

kipi-plugins (0.9.0-1ubuntu1) lucid; urgency=low

  * Merge with debian unstable, remaining changes:
    - Do not build-dep on libcv-dev, not in main
    - Swap imagemagick/graphicsmagick depends to keep component-mismatches happy
    - Export .pot file in debian/rules
    - Karmic does not have latest debhelper and pkg-kde-tools:
      - Loosen debhelper/pkg-kde-tools versioned build-deps
      - Add cdbs to build-deps
      - Add kde.mk and debhelper.mk to debian/rules

 -- Luka Renko <lure@ubuntu.com>  Sun, 06 Dec 2009 20:58:31 +0100

kipi-plugins (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Mark Purcell <msp@debian.org>  Wed, 02 Dec 2009 19:37:51 +1100

kipi-plugins (0.8.0-1ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:02 +0000

kipi-plugins (0.8.0-1ubuntu2) lucid; urgency=low



=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Achim Bohnet <ach@mpe.mpg.de>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), pkg-config, cmake,
 libqt4-dev, libqt4-opengl-dev, libgl1-mesa-dev, libglu1-mesa-dev,
 libgphoto2-2-dev,
 kdelibs5-dev, kdepimlibs5-dev,
 libkipi-dev, libkexiv2-dev, libkdcraw-dev,
 libexiv2-dev,
 libgtk2.0-dev,
 libltdl3-dev, libpng-dev, libtiff4-dev, libjpeg-dev,
 libxslt1-dev | libxslt-dev, libxml2-dev,
 libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev,
 libgpod-dev,
 libqca2-dev,
 libsane-dev, libksane-dev (>= 4:4.2.0)
Standards-Version: 3.8.4
Homepage: http://www.kipi-plugins.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kipi-plugins/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kipi-plugins/ubuntu
XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kipi-plugins/trunk
XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kipi-plugins/trunk

Package: kipi-plugins
Replaces: digikamplugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kipi-plugins-common (= ${source:Version})
Recommends: imagemagick (>= 5.4.8) | graphicsmagick-imagemagick-compat (>= 1.1.7), konqueror
Suggests: gallery, gimp, kmail, vorbis-tools, hugin, enblend, enfuse
Enhances: digikam, gwenview, kphotoalbum, showimg
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for Digikam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 Current plugins ported to Qt4/KDE4:
 .
  AcquireImages      : acquire images using flat scanner
  Calendar           : create calendars
  DngConverter       : convert Raw Image to Digital NeGative
  Facebook           : import/export images to a remote Facebook web service
  FlickrExport       : export images to a remote Flickr/23hq web service
  GalleryExport      : export images to a remote Gallery2 server
  GPSSync            : geolocalize pictures
  HTMLExport         : export images collections into a static XHTML
  ImageViewer        : preview images using OpenGL
  JpegLossLess       : rotate/flip images without losing quality
  MetadataEdit       : edit EXIF, IPTC and XMP metadata
  PicasaWebExport    : export images to a remote Picasa web service
  PrintImage         : print images in various format
  RawConverter       : convert Raw Image to JPEG/PNG/TIFF
  SendImages         : send images by e-mail
  SimpleViewerExport : export images to Flash using SimpleViewer
  SlideShow          : Slide images with 2D and 3D effects using OpenGL
  Smug               : import/export images to a remote SmugMug web service
  TimeAdjust         : adjust date and time
  IpodExport         : export pictures to an Ipod device
  BatchProcess       : batch process images (convert, resize, rename, etc.)
  KIOExport          : export images to remote computer using network protocol
  Shwup              : export images to Shwup web service 
  ExpoBlending       : create pseudo HDR image with a stack of bracketed images
  PiwigoExport       : export images to a remote Piwigo (PHPWebGallery) server 
 .
 Porting under progress to Qt4/KDE4:
 .
  WallPaper          : set image as background on your desktop
 .
 Not yet ported to Qt4/KDE4:
 .
  CDArchiving        : archive your image collections to a CD or DVD
  MpegEncoder        : create an MPEG slideshow with a set of images

Package: kipi-plugins-common
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Replaces: kipi-plugins (<< 1.3.0)
Conflicts: kipi-plugins (<< 1.3.0)
Description: kipi-plugins architecture-independent data
 The architecture independent data needed for the kipi-plugins package.

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=extragear-graphics_kipi-plugins

%:
	dh --with kde --list-missing $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_auto_test

=== debian/watch ===
# See uscan(1) for format
version=3
opts=uversionmangle=s/-/~/ \
  http://sf.net/kipi/kipi-plugins-(.*)\.tar\.bz2 debian svn-upgrade

opts=uversionmangle=s/-/~/ \
 http://digikam3rdparty.free.fr/0.10.x-releases/kipi-plugins-(.*)\.tar\.bz2 debian svn-upgrade

## kipi-plugins 19.12.3

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2018 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#

project(kipi-plugins)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

# =======================================================
# Information to update before to release this package.

# kipi-plugins version
set(KIPIPLUGINS_MAJOR_VERSION "5")
set(KIPIPLUGINS_MINOR_VERSION "9")
set(KIPIPLUGINS_PATCH_VERSION "1")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
set(KIPIPLUGINS_SUFFIX_VERSION "")

# =======================================================
# Set env. variables accordinly.

set(KIPIPLUGINS_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}${KIPIPLUGINS_SUFFIX_VERSION}"
)

# NOTE: This string is used to set libkipiplugins SO version ID
set(KIPIPLUGINS_LIB_SO_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}"
)

# =======================================================

set(CMAKE_MIN_VERSION    "3.0.0")
set(KF5_MIN_VERSION      "5.18.0")
set(QT_MIN_VERSION       "5.6.0")
set(KIPI_MIN_VERSION     "5.0.0")
set(MEDIAWIKI_MIN_VERSION "5.0.0")
set(VKONTAKTE_MIN_VERSION "4.70.0")
cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

############## ECM setup ######################

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Cmake macros
include(GenerateExportHeader)
include(CheckFunctionExists)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMAddAppIcon)
# KDE macros
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(KDECompilerSettings)

##########################################################################

option(ENABLE_LEGACY "Build Kipi-plugins with legacy plugins support (default=ON)" ON)

############## Find Packages ###################

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
             Core
             Widgets
             PrintSupport
             Gui
             Xml
             XmlPatterns
             Svg
             Concurrent
             Network
)

if(BUILD_TESTING)
    find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
             Config
             WindowSystem
             XmlGui
             I18n
)

find_package(KF5Archive ${KF5_MIN_VERSION})
set_package_properties(KF5Archive PROPERTIES PURPOSE "Required to build the FlashExport plugin")

find_package(KF5KIO ${KF5_MIN_VERSION})
set_package_properties(KF5IO PROPERTIES PURPOSE "Required to build the RemoteStorage plugin")

if(KF5KIO_FOUND)
    # Some tools rely only on KIO core, others need KIOWidgets too..
    get_target_property(KIOWidgets_INCLUDE_DIRS KF5::KIOWidgets INTERFACE_INCLUDE_DIRECTORIES)
    message(STATUS "KF5::KIOWidgets include dirs: ${KIOWidgets_INCLUDE_DIRS}")

    if(NOT KIOWidgets_INCLUDE_DIRS)
        message(STATUS "KF5::KIOWidgets not available in shared KIO library. Some tools will not be compiled.")
        set(KF5KIOWidgets_FOUND FALSE)
    else()
        set(KF5KIOWidgets_FOUND TRUE)
    endif()
endif()

# Dependencies detection required by all plugins

find_package(KF5Kipi ${KIPI_MIN_VERSION} REQUIRED)

get_target_property(KF5Kipi_INCLUDE_DIRS KF5::Kipi INTERFACE_INCLUDE_DIRECTORIES)

# Detect libkipi so version used to compile kipi tool to identify if plugin can be loaded in memory by libkipi.
# This will be used to populate plugin desktop files.

foreach(var ${KF5Kipi_INCLUDE_DIRS})
    if(EXISTS "${var}/libkipi_config.h")
        set(KF5KipiConfig_FOUND "${var}/libkipi_config.h")
        message(STATUS "Libkipi config header: ${KF5KipiConfig_FOUND}")
        break()
    endif()
endforeach()

if(KF5KipiConfig_FOUND)
    file(READ ${KF5KipiConfig_FOUND} KIPI_CONFIG_H_CONTENT)

    string(REGEX REPLACE
            ".*static +const +int +kipi_binary_version += ([^ ;]+).*"
            "\\1"
            KIPI_LIB_SO_CUR_VERSION_FOUND
            "${KIPI_CONFIG_H_CONTENT}"
    )

    set(KIPI_LIB_SO_CUR_VERSION ${KIPI_LIB_SO_CUR_VERSION_FOUND} CACHE STRING "libkipi so version")
else()
    message(FATAL_ERROR "Could not find libkipi SO version")
    set(KF5Kipi_FOUND FALSE)
endif()

message(STATUS "libkipi includes      : ${KF5Kipi_INCLUDE_DIRS}")
message(STATUS "libkipi SO version    : ${KIPI_LIB_SO_CUR_VERSION}")

# -- Optional dependencies detection required by some plugins -------------------------------------

find_package(KF5MediaWiki ${MEDIAWIKI_MIN_VERSION})
find_package(KF5Vkontakte ${VKONTAKTE_MIN_VERSION})

# ==================================================================================================
# Create git version header

# We only do this IF we are in a .git dir
find_file(GIT_MARKER entries PATHS ${CMAKE_SOURCE_DIR}/.git)

if(NOT GIT_MARKER)
    set (GIT_MARKER ${CMAKE_SOURCE_DIR}/CMakeLists.txt)  # Dummy file
endif()

# Add a custom command to drive the git script whenever the git entries
# file changes.
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/gitscript.cmake.in"
                "${CMAKE_CURRENT_BINARY_DIR}/gitscript.cmake"
                @ONLY)

# Add a custom target to drive the custom command.
add_custom_target(kipiplugins-gitversion
                    ALL COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/gitscript.cmake")

# ==================================================================================================

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins
                    ${CMAKE_CURRENT_BINARY_DIR}/common/libkipiplugins
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/dialogs
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/widgets
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/tools
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/o2/src
                    ${KF5Kipi_INCLUDE_DIRS}
                )

# To prevent warnings from M$ compiler

if(WIN32 AND MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-D_ATL_SECURE_NO_WARNINGS)
    add_definitions(-D_AFX_SECURE_NO_WARNINGS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# Remove pedantic GCC flag which generate a lots of warnings on the console with qCDebug()
while(CMAKE_CXX_FLAGS MATCHES "-pedantic")
    string(REPLACE "-pedantic" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
endwhile()

# Remove Wdate-time GCC flag which generate a lots of compile warnings
while(CMAKE_CXX_FLAGS MATCHES "-Wdate-time")
    string(REPLACE "-Wdate-time" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
endwhile()

add_subdirectory(common)
add_subdirectory(flickr)
add_subdirectory(dropbox)
add_subdirectory(facebook)
add_subdirectory(imgur)
add_subdirectory(piwigo)
add_subdirectory(rajce)
add_subdirectory(smug)
add_subdirectory(imageshack)
add_subdirectory(yandexfotki)
add_subdirectory(googleservices)

if(ENABLE_LEGACY)
    add_subdirectory(printimages)
    add_subdirectory(kmlexport)
    add_subdirectory(sendimages)
    add_subdirectory(jalbum)

    if(KF5Archive_FOUND)
        add_subdirectory(flashexport)
    endif()

endif()

if(KF5Vkontakte_FOUND)
    add_subdirectory(vkontakte)
endif()

if(KF5MediaWiki_FOUND)
    add_subdirectory(mediawiki)
endif()

if(KF5KIO_FOUND AND KF5KIOWidgets_FOUND)
    add_subdirectory(remotestorage)    # kioimportwindow.cpp, kioexportwindow.cpp
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== flickr/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

subdirs(icons)

add_definitions(-DTRANSLATION_DOMAIN=\"kipiplugin_flickr\")

set(kipiplugin_flickr_PART_SRCS
    plugin_flickr.cpp
    flickrwindow.cpp
    flickrtalker.cpp
    flickrwidget.cpp
    flickrlist.cpp
    comboboxdelegate.cpp
    comboboxintermediate.cpp
    mpform.cpp
    selectuserdlg.cpp
    newalbum.cpp
   )

add_library(kipiplugin_flickr MODULE ${kipiplugin_flickr_PART_SRCS})

target_link_libraries(kipiplugin_flickr
                      PRIVATE
                      Qt5::Network

                      KF5kipiplugins
                      KF5::Kipi
                      KF5::I18n
                      KF5::WindowSystem
                     )

configure_file(kipiplugin_flickr.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_flickr.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_flickr.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kipiplugin_flickr                                     DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES   kipiplugin_flickrui.rc                                DESTINATION ${KXMLGUI_INSTALL_DIR}/kipi)

=== imageshack/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

subdirs(icons)

add_definitions(-DTRANSLATION_DOMAIN=\"kipiplugin_imageshack\")

set(kipiplugin_imageshack_PART_SRCS
    newalbumdlg.cpp
    imageshack.cpp
    mpform.cpp
    plugin_imageshack.cpp
    imageshacktalker.cpp
    imageshackwidget.cpp
    imageshackwindow.cpp
   )

add_library(kipiplugin_imageshack MODULE ${kipiplugin_imageshack_PART_SRCS})

target_link_libraries(kipiplugin_imageshack
                      PRIVATE
                      Qt5::Network

                      KF5::Kipi
                      KF5::I18n
                      KF5kipiplugins
                     )

configure_file(kipiplugin_imageshack.desktop.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_imageshack.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_imageshack.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kipiplugin_imageshack                                     DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES   kipiplugin_imageshackui.rc                                DESTINATION ${KXMLGUI_INSTALL_DIR}/kipi)

=== remotestorage/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

set(PLUGIN_NAME kipiplugin_remotestorage)

add_definitions(-DTRANSLATION_DOMAIN=\"${PLUGIN_NAME}\")

set(${PLUGIN_NAME}_PART_SRCS
    plugin_remotestorage.cpp
    KioExportWindow.cpp
    KioExportWidget.cpp
    KioImportWindow.cpp
    KioImportWidget.cpp
   )

add_library(${PLUGIN_NAME} MODULE ${${PLUGIN_NAME}_PART_SRCS})

target_link_libraries(${PLUGIN_NAME}
                      PRIVATE
                      KF5::I18n
                      KF5::Kipi
                      KF5::KIOCore
                      KF5::KIOFileWidgets
                      KF5::WindowSystem

                      KF5kipiplugins
)

configure_file(${PLUGIN_NAME}.desktop.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS ${PLUGIN_NAME}                                     DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES   ${PLUGIN_NAME}ui.rc                                DESTINATION ${KXMLGUI_INSTALL_DIR}/kipi)

=== sendimages/CMakeLists.txt ===
#
# Copyright (c) 2010-2017 Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_definitions(-DTRANSLATION_DOMAIN=\"kipiplugin_sendimages\")

set(kipiplugin_sendimages_PART_SRCS imageresize.cpp
                                    myimagelist.cpp
                                    settingswidget.cpp
                                    sendimages.cpp
                                    sendimagesdialog.cpp
                                    plugin_sendimages.cpp
)

add_library(kipiplugin_sendimages MODULE ${kipiplugin_sendimages_PART_SRCS})

target_link_libraries(kipiplugin_sendimages
                      PRIVATE

                      Qt5::Gui

                      KF5::I18n
                      KF5::Kipi

                      KF5kipiplugins
)

configure_file(kipiplugin_sendimages.desktop.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_sendimages.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_sendimages.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kipiplugin_sendimages                                     DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES   kipiplugin_sendimagesui.rc                                DESTINATION ${KXMLGUI_INSTALL_DIR}/kipi)

=== yandexfotki/icons/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
# Copyright (c) 2015, Alexander Potashev, <aspotashev@gmail.com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

=== debian/changelog ===
kipi-plugins (4:19.12.3-1ubuntu2) focal; urgency=medium

  * Fix filename typo in upstream appsteam patch.

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Mar 2020 13:33:00 +0100

kipi-plugins (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Add upstream_add-appstream-file.patch to provide missing appstreamn
    data.

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Mar 2020 12:52:00 +0100

kipi-plugins (4:19.12.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Mar 2020 22:57:22 +0100

kipi-plugins (4:19.12.2-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  [ Pino Toscano ]
  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Feb 2020 23:25:44 +0100

=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.18.0~),
               gettext,
               libkf5archive-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5kipi-dev,
               libkf5mediawiki-dev,
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5svg5-dev (>= 5.6.0~),
               libqt5xmlpatterns5-dev (>= 5.6.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.5.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins.git

Package: kipi-plugins
Architecture: any
Multi-Arch: same
Depends: kipi-plugins-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: imagemagick, hugin, enblend, enfuse, minidlna
Suggests: gimp, kmail, konqueror, vorbis-tools
Enhances: gwenview, kde-spectacle, kphotoalbum
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.

Package: kipi-plugins-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/tmp -name '*.so' -type l -print -delete

## kipi-plugins 20.08.1

=== debian/changelog ===
kipi-plugins (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:54:25 +0100

kipi-plugins (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not ship NEWS, as it is basically empty.
  * Do not enhance kphotoalbum, as it does not use KIPI anymore.
  * Stop mentioning application names in the descriptions.
  * Do not manually link in as-neeed mode, as it is the binutils default now.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 12:16:14 +0200

kipi-plugins (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 10:12:05 +0200

=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.18.0~),
               gettext,
               libkf5archive-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5kipi-dev (>= 4:20.08.1~),
               libkf5mediawiki-dev,
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5svg5-dev (>= 5.6.0~),
               libqt5xmlpatterns5-dev (>= 5.6.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins.git

Package: kipi-plugins
Architecture: any
Multi-Arch: same
Depends: kipi-plugins-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: imagemagick, hugin, enblend, enfuse, minidlna
Suggests: gimp, kmail, konqueror, vorbis-tools
Enhances: gwenview, kde-spectacle
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.

Package: kipi-plugins-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --with kf5
